<?php
class CopiarDocumentoAction extends wtActions 
{
    public function execute()
    {
        $s_Id      = $this->getRequestParameter( 'id' );

        $IdTipoDocumentoRef  = $this->getRequestParameter( 'IdTipoDocumento' );
        $FechaDocumento      = $this->getRequestParameter( 'FechaDocumento' );
        $TipoDocumentoCod    = $this->getRequestParameter( 'TipoDocumentoCod' );
        $DocumentoSerie      = $this->getRequestParameter( 'DocumentoSerie' );
        $DocumentoNumero     = $this->getRequestParameter( 'DocumentoNumero' );

        $a_Ids = explode( "_", $s_Id );
        $IdTipoDocumento = $a_Ids[0];
        $IdCompania      = $a_Ids[1];
        $NumeroDocumento = $a_Ids[2];

        $a_Rs = array();
        
        $a_Rs['error'] = false;
        $a_Rs['mensaje_error'] = "";

        try
        {
            $o_VTA_DocumentoBN = new VTA_DocumentoBN();
            $o_VTA_DocumentoBN->setIdTipoDocumento( $IdTipoDocumento );
            $o_VTA_DocumentoBN->setIdCompania( $IdCompania );
            $o_VTA_DocumentoBN->setNumeroDocumento( $NumeroDocumento );

            $o_VTA_DocumentoBN->setIdTipoDocumentoRef( $IdTipoDocumentoRef );
            $o_VTA_DocumentoBN->setFechaDocumento( $FechaDocumento." ".date( "H:i:s" ) );
            $o_VTA_DocumentoBN->setDocumentoCod( $TipoDocumentoCod );
            $o_VTA_DocumentoBN->setDocumentoSerie( $DocumentoSerie );
            $o_VTA_DocumentoBN->setDocumentoNumero( $DocumentoNumero );

            $o_OrdenVentaBL = new OrdenVentaBL();
            $o_OrdenVentaBL->copiarOrdenVenta( $o_VTA_DocumentoBN );

            $i_IdFinal = $o_VTA_DocumentoBN->getIdConcat();
            
            //pr( "Id Final -> $i_IdFinal || Padre -> ".$o_VTA_OrdenBN->getOrdenPadre() );

            $a_Rs['error']    = false;
            $a_Rs['id']       = $i_IdFinal;
        }
        catch( Exception $e )
        {
            $a_Rs['error']   = true;
            $a_Rs['mensaje_error'] = $e->getMessage();
        }

        echo json_encode( $a_Rs );

        return ViewResponse::NONE;
    }
}